Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class UserLocation

    java.lang.Object
      |
      +--oracle.portal.provider.v1.UserLocation

public class UserLocation
extends java.lang.Object

A Class representing the .

Author:
  Michael Freedman

Inner Class Summary
`static class` | `UserLocation.Address`
`static class` | `UserLocation.LocationType`

Constructor Summary
`UserLocation(UserLocation.LocationType type, float positionX, float positionY, UserLocation.Address address)`

Method Summary
`UserLocation.Address` | `getAddress()`
`UserLocation.LocationType` | `getType()`
`float` | `getXPosition()`
`float` | `getYPosition()`
`void` | `setAddress(UserLocation.Address address)`
`void` | `setType(UserLocation.LocationType type)`
`void` | `setXPosition(float x)`
`void` | `setYPosition(float y)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLocation

    public UserLocation(UserLocation.LocationType type,
                        float positionX,
                        float positionY,
                        UserLocation.Address address)

Method Detail

### getType

    public UserLocation.LocationType getType()

### setType

    public void setType(UserLocation.LocationType type)

### getXPosition

    public float getXPosition()

### setXPosition

    public void setXPosition(float x)

### getYPosition

    public float getYPosition()

### setYPosition

    public void setYPosition(float y)

### getAddress

    public UserLocation.Address getAddress()

### setAddress

    public void setAddress(UserLocation.Address address)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD